Bug 1118887 - rubygem-staypuft : failed to assign discovered node to host-groups due to DHCP conflict (happens after deleting/discovering hosts several times)
Summary: rubygem-staypuft : failed to assign discovered node to host-groups due to DHC...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: foreman-proxy
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: Installer
Assignee: Dominic Cleal
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 19:29 UTC by Alexander Chuzhoy
Modified: 2015-04-30 16:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-30 16:18:29 UTC


Attachments (Terms of Use)

Description Alexander Chuzhoy 2014-07-11 19:29:50 UTC
;rubygem-staypuft : failed to assign discovered node to host-groups due to DHCP conflict (happens after deleting/discovering hosts several times) 

Environment:
rhel-osp-installer-0.1.0-2.el6ost.noarch
ruby193-rubygem-staypuft-0.1.11-1.el6ost.noarch
openstack-foreman-installer-2.0.13-1.el6ost.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-7.el6ost.noarch
openstack-puppet-modules-2014.1-18.1.el6ost.noarch

Steps to reproduce:
Note: Doesn't always happen. Need to delete/rediscover the hosts several times.
1. install rhel-osp-installer.
2. Create a deployment
3. Try to assign hosts to deployment

Result: Get yellow notification:Unassigned hosts: <hostname>
And get this in the logs: http://pastebin.test.redhat.com/221109


Expected result: Should be able to assign hosts with no issue.

Workaround: remove the dhcpd.lease file and restart the dhcpd service on the staypuft machine, delete the hosts from UI and reboot them to be re-discovered.

Comment 3 Alexander Chuzhoy 2014-09-16 14:58:05 UTC
Verified: Failed-qa

Environment:
rhel-osp-installer-0.3.4-3.el6ost.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch
openstack-foreman-installer-2.0.23-1.el6ost.noarch
openstack-puppet-modules-2014.1-21.8.el6ost.noarch


Happened on the first attempt:

1. Deleted the deployed hosts.
2. Rediscovered them.
3. Tried to assign to a deployment.

Result:

Unassigned hosts:

    maca25400702875
        Name has already been taken

Comment 5 Dominic Cleal 2014-09-17 07:47:44 UTC
Sorry, I don't think I can help with this, I don't know what comment #3 is even describing.  It doesn't look like an error that foreman-proxy could ever generate.

Comment 6 Mike Burns 2014-09-17 09:23:44 UTC
Rough work flow:  

Host discovered
host assigned to host group
host provisioned
host removed from foreman completely
host discovered again
attempt to assign host to host group -> failed

Comment 7 Mike Burns 2015-04-30 16:18:29 UTC
I don't believe this is an issue anymore.


Note You need to log in before you can comment on or make changes to this bug.